The signed-in user
GET
/me
const url = 'https://example.com/api/v1/me';const options = { method: 'GET', headers: {cookie: '__Host-shardkeep_session=<__Host-shardkeep_session>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/me \ --cookie __Host-shardkeep_session=<__Host-shardkeep_session>Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The signed-in user.
Media typeapplication/json
object
id
required
string format: uuid
username
required
string
email
required
string
displayName
required
string
globalAdmin
required
boolean
passwordChangeRequired
required
While true, only GET /me, POST /me/password and POST /auth/logout work.
boolean
createdAt
required
string format: date-time
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "username": "example", "email": "example", "displayName": "example", "globalAdmin": true, "passwordChangeRequired": true, "createdAt": "2026-04-15T12:00:00Z"}Not signed in, or the credentials are invalid.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Shardkeep is free software under the AGPL-3.0. Minecraft is a trademark of Mojang AB; Shardkeep is not affiliated with or endorsed by Mojang or Microsoft.